import 'package:equatable/equatable.dart';
import 'package:flutter/material.dart';
import 'package:hydrated_bloc/hydrated_bloc.dart';

import 'package:twister/models/move.dart';

part 'game_state.dart';

class GameCubit extends HydratedCubit<GameState> {
  GameCubit() : super(const GameState());

  Move getMove() {
    return state.move ?? Move.createNull();
  }

  void setValues({
    Move? move,
  }) {
    List<Move> history = state.history ?? [];
    if (move != null) {
      history.add(move);
    }

    emit(GameState(
      move: move ?? state.move,
      history: history,
    ));
  }

  void deleteHistory() {
    List<Move> history = [];
    emit(GameState(
      move: state.move,
      history: history,
    ));
  }

  @override
  GameState? fromJson(Map<String, dynamic> json) {
    Move move = json['move'] as Move;

    return GameState(
      move: move,
    );
  }

  @override
  Map<String, dynamic>? toJson(GameState state) {
    return <String, dynamic>{
      'move': state.move?.toJson(),
    };
  }
}
