import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import 'package:twister/cubit/bottom_nav_cubit.dart';
import 'package:twister/ui/screens/home.dart';
import 'package:twister/ui/screens/settings.dart';
import 'package:twister/ui/widgets/app_bar.dart';
import 'package:twister/ui/widgets/bottom_nav_bar.dart';

class SkeletonScreen extends StatefulWidget {
  const SkeletonScreen({super.key});

  @override
  State<SkeletonScreen> createState() => _SkeletonScreenState();
}

class _SkeletonScreenState extends State<SkeletonScreen> {
  @override
  Widget build(BuildContext context) {
    List<Widget> pageNavigation = <Widget>[
      const ScreenHome(),
      const ScreenSettings(),
    ];

    return Scaffold(
      appBar: const StandardAppBar(),
      extendBodyBehindAppBar: false,
      body: BlocBuilder<BottomNavCubit, int>(
        builder: (BuildContext context, int state) {
          return AnimatedSwitcher(
            duration: const Duration(milliseconds: 300),
            child: pageNavigation.elementAt(state),
          );
        },
      ),
      backgroundColor: Theme.of(context).colorScheme.background,
      bottomNavigationBar: const BottomNavBar(),
    );
  }
}
